extends StaticBody


export(String, MULTILINE) var action = "Go somewhere"

export(String, MULTILINE) var target = "pyramid"

export(String, MULTILINE) var custom_spawnpoint = ""

var text = ""


func interact():
	if target != "":
		globalvar.set_room_init("res://levels/"+target+".tscn", custom_spawnpoint)
		get_tree().change_scene_to(load("res://levels/"+target+".tscn"))
